From 55a7774ffc018c7c5717040600c67fb0f35f596f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 24 2020 13:10:52 +0000
Subject: [PATCH 906/2232] Merge pull request #314 from dtolnay/devcontainer


Create devcontainer configuration to use with GitHub Codespaces
---

diff --git a/.devcontainer/Dockerfile b/.devcontainer/Dockerfile
new file mode 100644
index 0000000..93cfc05
--- /dev/null
+++ b/.devcontainer/Dockerfile
@@ -0,0 +1 @@
+FROM dtolnay/devcontainer:latest
diff --git a/.devcontainer/build.Dockerfile b/.devcontainer/build.Dockerfile
new file mode 100644
index 0000000..d4ab609
--- /dev/null
+++ b/.devcontainer/build.Dockerfile
@@ -0,0 +1,18 @@
+FROM mcr.microsoft.com/vscode/devcontainers/rust:1
+
+RUN apt-get update \
+    && export DEBIAN_FRONTEND=noninteractive \
+    && apt-get -y install --no-install-recommends openjdk-11-jdk lld \
+    && rustup default nightly 2>&1 \
+    && rustup component add rust-analyzer-preview rustfmt clippy 2>&1 \
+    && wget -q -O bin/install-bazel https://github.com/bazelbuild/bazel/releases/download/2.1.1/bazel-2.1.1-installer-linux-x86_64.sh \
+    && wget -q -O bin/buck https://jitpack.io/com/github/facebook/buck/891556d066/buck-891556d066-java11.pex \
+    && wget -q -O bin/buildifier https://github.com/bazelbuild/buildtools/releases/latest/download/buildifier \
+    && wget -q -O tmp/watchman.zip https://github.com/facebook/watchman/releases/download/v2020.09.21.00/watchman-v2020.09.21.00-linux.zip \
+    && chmod +x bin/install-bazel bin/buck bin/buildifier \
+    && bin/install-bazel \
+    && unzip tmp/watchman.zip -d tmp \
+    && mv tmp/watchman-v2020.09.21.00-linux/bin/watchman bin \
+    && mv tmp/watchman-v2020.09.21.00-linux/lib/* /usr/local/lib \
+    && mkdir -p /usr/local/var/run/watchman \
+    && rm tmp/watchman.zip
